.banners {
    margin-bottom: 20px;
}

.banner-background {
    overflow: hidden;
    position: relative;
    font-size: 0px;
    line-height: 0px;
    text-align: center;
    margin-bottom: 2px;
    margin-left: auto;
    margin-right: auto;
}
.banner-background_with-text {
    font-size: inherit;
    line-height: inherit;
    text-align: left;
    padding: 10px;
}

.banner-background_space {
    font-size: 40px;
    border: 1px solid #000;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}
.banner-background__space-size {
    position: absolute;
    top: 5px;
    right: 5px;
    bottom: 0px;
    left: 0px;
    border-top: 1px solid #000;
    border-right: 1px solid #000;
    line-height: 20px;
    padding-top: 5px;
    padding-right: 8px;
    font-size: 20px;
    text-align: right;
}
.banner-background_place {
    font-size: 24px;
    border: 1px solid #000;
}
.banner-background__place-size {
    position: absolute;
    top: 5px;
    right: 5px;
    bottom: 0px;
    left: 0px;
    border-top: 1px solid #000;
    border-right: 1px solid #000;
    line-height: 16px;
    padding-top: 5px;
    padding-right: 8px;
    font-size: 16px;
    text-align: right;
}
.banner-background__arrow_top-left {
    position: absolute;
    top: 2px;
    left: 0px;
    width: 0px;
    height: 0px;
    border-top: 4px solid transparent;
    border-bottom: 4px solid transparent;
    border-right: 9px solid #000;
}
.banner-background__arrow_top-right {
    position: absolute;
    top: 2px;
    right: 5px;
    width: 0px;
    height: 0px;
    border-top: 4px solid transparent;
    border-bottom: 4px solid transparent;
    border-left: 9px solid #000;
}
.banner-background__arrow_right-top {
    position: absolute;
    top: 5px;
    right: 2px;
    width: 0px;
    height: 0px;
    border-left: 4px solid transparent;
    border-right: 4px solid transparent;
    border-bottom: 9px solid #000;
}
.banner-background__arrow_right-bottom {
    position: absolute;
    bottom: 0px;
    right: 2px;
    width: 0px;
    height: 0px;
    border-left: 4px solid transparent;
    border-right: 4px solid transparent;
    border-top: 9px solid #000;
}





.banners__edit-campaign-form,
.banners__edit-banner-form {
    /*width: 940px;*/
}

.banners__upload-block td {
    width: 200px;
    text-align: center;
    vertical-align: middle;
}

.banners__upload-layout {
    padding: 15px;
    background-color: #eff0f0;
    border: 1px dashed #000000;
    /*min-height: 500px;*/
    /*max-height: 700px;*/
}
    .banners__upload-layout .banners {
        margin-bottom: 10px;
        height: 410px;
    }
.banners__upload-layout-block {
    /*height: 500px;*/
    width: 100%;
    overflow: hidden;
    text-align: center;
    display: table !important;
}

.banners__sizes-block,
.banners__width-block,
.banners__height-block {
    /*float: left;*/
    /*text-align: left;*/
    /*margin-bottom: -30px;*/
}
.banners__sizes-select {
    /*width: 90px;*/
    /*margin-right: 5px;*/
}

.banners__width-input,
.banners__height-input {
    margin-left: 5px;
    width: 58px;
    height: 24px;
}
.banners__uploader {
    /*display: table-row !important;*/
    margin-bottom: 10px;
}
.banners__banners-block {
    /*height: 480px;*/
    /*display: table-cell !important;*/
    vertical-align: middle;
}

.banners__place-select,
.banners__position-select {
    width: 64px;
}
.banners__periodicity-select {
    width: 142px;
}

.banner-wrapper {
    min-width: 100px;
    display: inline-block !important;
    margin: 0px 0px 5px 0px;
    border: 1px solid #000000;
    background-color: #FFFFFF;
    position: relative;
}

.banner-wrapper .banner-sign {
    margin: 10px;
    font-style: italic;
    overflow: hidden;
    font-size: 12px;
    /*height: 16px;*/
    position: relative;
}

.banner-wrapper .scrollerbg_right {
    position: absolute;
    width: 30px;
    height: inherit;
    top: 0px;
    right: 0px;
    background: url('/resource/img/scrollerbg_right.png') 0 0 repeat-y;
}

/* кнопка удаления  */
.banner-wrapper .toolbar__delete-btn {
    position: absolute;
    right: 3px;
    top: 5px;
    cursor: pointer;
}

.swfBanner,
.defaultBanner {
    font-size: 0px;
    line-height: 0px;
    text-align: center;
}

.swf-block {
    padding: 3px;
}

.swf-block a {
    display: block;
}

.swf-block img {
    vertical-align: 0;
    max-width: 100%;
    max-height: 400px;
}

.banners__settings-block {
    /*height: 70px;*/
    width: 100%;
}

.banners__bgcolor-block,
.banners__link-block,
.banners__adv-block {
    /*height: 76px;*/
    /*margin-bottom: 0px;*/
}

.banners__bgcolor-block {
    /*width: 177px;*/
    /*float: left;*/
    /*margin-right: 10px;*/
}
.banners__bgcolor-type_filled {
    float: left;
    margin-right: 10px;
    margin-bottom: 0px;
}
.banners__bgcolor-fill {
    margin-bottom: 0px;
    width: 60px;
    position: relative;
    top: -4px;
}

.banners__adv-block .form-field-select {
    margin-top: 12px;
    width: auto;
}

.banners__target-select {
    float: left;
    margin-bottom: 0px;
}

.banners__begin,
.banners__finish {
    position: relative;
}
/*.banners__finish_disabled * {
    opacity: 0.2;
    text-decoration: line-through;
}*/
.banners__begin-date,
.banners__begin-time,
.banners__finish-date,
.banners__finish-time {
    padding: 2px 4px;
    cursor: pointer;
}
.banners__editable-hidden {
    display: none;
}

.banners__datepicker-icon {
    margin-right: -14px;
}
.banners__datepicker {
    width: 76px;
    background: none;
    border: none;
    padding-left: 22px;
}


.question-icon {
    border-radius: 50%;
    background-color: lightblue;
    width: 14px;
    height: 14px;
    display: inline-block;
    cursor: pointer;
    position: relative;
    top: 20px;
    left: 10px;
    text-align: center;
    color: white;
    font-size: 13px;
    font-style: normal;
}
